import { Pie } from '@antv/g2plot';
import { chartsGradients } from '../settings';
export const DonutChart = (container, config) => {
    const configuration = config;
    configuration.color || (configuration.color = Object.values(chartsGradients));
    configuration.innerRadius || (configuration.innerRadius = 0.6);
    configuration.shape = 'rapid-shape';
    configuration.state || (configuration.state = {
        active: {
            style: {
                fillOpacity: 1,
                lineWidth: 0,
                stroke: 'rgba(0,0,0,0)',
            },
        },
    });
    return new Pie(container, configuration);
};
