import { DualAxes } from '@antv/g2plot';
import { chartsGradients } from '../settings';
export const DualAxesChart = (container, config) => {
    const configuration = config;
    configuration.geometryOptions || (configuration.geometryOptions = [
        {
            geometry: 'line',
            color: chartsGradients.rapidBlue,
            lineStyle: {
                lineWidth: 3,
            },
        },
        {
            geometry: 'line',
            color: chartsGradients.rapidGreen,
            lineStyle: {
                lineWidth: 3,
            },
        },
    ]);
    return new DualAxes(container, configuration);
};
