import { Rose } from '@antv/g2plot';
import { chartsGradients } from '../settings';
export const RoseChart = (container, config) => {
    const configuration = config;
    configuration.color || (configuration.color = Object.values(chartsGradients));
    configuration.sectorStyle || (configuration.sectorStyle = {
        fillOpacity: 0.7,
        strokeOpacity: 0.6,
    });
    return new Rose(container, configuration);
};
