import { Stock } from '@antv/g2plot';
import { chartsGradients } from '../settings';
export const StockChart = (container, config) => {
    const configuration = config;
    configuration.risingFill || (configuration.risingFill = chartsGradients.rapidGreen);
    configuration.fallingFill || (configuration.fallingFill = chartsGradients.rapidRed);
    configuration.stockStyle || (configuration.stockStyle = {
        fillOpacity: 0.5,
        lineWidth: 2,
    });
    return new Stock(container, configuration);
};
