import { Area } from '@antv/g2plot';
import { PrimaryRapidColorHEX } from '@genesislcap/foundation-zero';
export const AreaChart = (container, config) => {
    const configuration = config;
    configuration.areaStyle || (configuration.areaStyle = {
        fill: `l(270) 0:rgba(0, 0, 0, 0) 0.5:${PrimaryRapidColorHEX.purple} 1:${PrimaryRapidColorHEX.blue}`,
        lineWidth: 5,
    });
    return new Area(container, configuration);
};
